Package: org.gradle.tooling

## [Java] Class BuildCancelledException

- org.gradle.tooling.BuildCancelledException

- Thrown when a LongRunningOperation is cancelled before the operation completes.

  Since:
    2.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BuildCancelledException (String message)`
    `BuildCancelledException (String message, Throwable throwable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BuildCancelledException(String message)

    - #### public BuildCancelledException(String message, Throwable throwable)